cURL
curl 'https://api.gumloop.com/api/v1/agents/AGENT_ID/evaluations/EVALUATION_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'import requests
response = requests.get(
"https://api.gumloop.com/api/v1/agents/AGENT_ID/evaluations/EVALUATION_ID",
headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
)
evaluation = response.json()["evaluation"]
print(evaluation["grade"], evaluation["summary"])const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/agents/{agent_id}/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation": {
"evaluation_id": "eval_abc123",
"interaction_id": "int_xyz789",
"agent_id": "agent_456",
"created_ts": "2026-06-15T14:30:00+00:00",
"status": "completed",
"grade": "needs_review",
"call_successful": "success",
"sentiment": "negative",
"summary": "User was frustrated with response time. Agent eventually resolved the issue.",
"criteria_results": [
{
"id": "crit_1",
"name": "Accuracy",
"type": "other",
"priority": "needs_attention",
"result": "success",
"rationale": "Information provided was correct."
},
{
"id": "crit_2",
"name": "Professional Tone",
"type": "voice_tone",
"priority": "needs_review",
"result": "failure",
"rationale": "Agent used overly casual language in a formal support context."
}
],
"data_results": [
{
"id": "dp_1",
"name": "Resolution Status",
"data_type": "string",
"value": "resolved"
},
{
"id": "dp_2",
"name": "Handoff Requested",
"data_type": "boolean",
"value": false
}
],
"applied_tags": [
"SUPPORT_TICKET",
"TONE_ISSUE"
]
}
}Retrieve evaluation
Retrieve a single evaluation result by ID. The evaluation must belong to the specified agent.
GET
/
agents
/
{agent_id}
/
evaluations
/
{evaluation_id}
cURL
curl 'https://api.gumloop.com/api/v1/agents/AGENT_ID/evaluations/EVALUATION_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'import requests
response = requests.get(
"https://api.gumloop.com/api/v1/agents/AGENT_ID/evaluations/EVALUATION_ID",
headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
)
evaluation = response.json()["evaluation"]
print(evaluation["grade"], evaluation["summary"])const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/agents/{agent_id}/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation": {
"evaluation_id": "eval_abc123",
"interaction_id": "int_xyz789",
"agent_id": "agent_456",
"created_ts": "2026-06-15T14:30:00+00:00",
"status": "completed",
"grade": "needs_review",
"call_successful": "success",
"sentiment": "negative",
"summary": "User was frustrated with response time. Agent eventually resolved the issue.",
"criteria_results": [
{
"id": "crit_1",
"name": "Accuracy",
"type": "other",
"priority": "needs_attention",
"result": "success",
"rationale": "Information provided was correct."
},
{
"id": "crit_2",
"name": "Professional Tone",
"type": "voice_tone",
"priority": "needs_review",
"result": "failure",
"rationale": "Agent used overly casual language in a formal support context."
}
],
"data_results": [
{
"id": "dp_1",
"name": "Resolution Status",
"data_type": "string",
"value": "resolved"
},
{
"id": "dp_2",
"name": "Handoff Requested",
"data_type": "boolean",
"value": false
}
],
"applied_tags": [
"SUPPORT_TICKET",
"TONE_ISSUE"
]
}
}Authorizations
Path Parameters
ID of the agent the evaluation belongs to.
ID of the evaluation to retrieve.
Response
The requested evaluation result.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
